This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 183129 - Graphical install fails with blank screen on Compaq nw8240 (ATI Mobility FireGL V5000)
Graphical install fails with blank screen on Compaq nw8240 (ATI Mobility Fire...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-26 13:20 EST by Markku Korkeala
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 13:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Markku Korkeala 2006-02-26 13:20:22 EST
Description of problem:
Installer is unable to start graphical installer on my laptop:
Compaq nw8240 (ATI Mobility FireGL V5000).

After media check output to console is:
Running anaconda, the Fedora Core system installer -  please wait....
Probing for video card:  ATI Technologies Inc Radeon Mobility X700 (PCIE)
Probing for monitor type: Unknown monitor
Attempting to start native X server
Waiting X server to start...log located in /tmp/X.log
1...2...3...4...5.... X server started successfully.
Starting graphical installation...

Then comes just a blank screen. I can switch to different consoles,
with Ctrl+Alt+F? keys, just the blank screen for X server.

/tmp/X.log says:
(++) Log file: "/tmp/ramfs/X.log", Time: Sat Feb 25 18:55:40 2006
(++) Using config file: "/tmp/XConfig.test"
[drm] failed to load kernel module "radeon"
(EE) RADEON(0): [dri] DRIScreenInit failed. Disabling DRI.
Synaptics DeviceInit called
SynapticsCtrl called
Synaptics DeviceOn called
Could not init font path element unix/:7100, removing from list!
Synaptics DeviceOff called
Synaptics DeviceOn called
Synaptics DeviceOff called
Synaptics DeviceOn called
Synaptics DeviceOff called
 
Version-Release number of selected component (if applicable):
Fedora Core 5 Test 3 binary CD 1.

How reproducible:
Blank screen comes with this computer every time, haven't
tested with other computers.

Steps to Reproduce:
1. Start installation from FC 5 test 3 binary CD 1.
2. After media test anaconda tries to start graphical installation.
  
Actual results:
Blank screen.

Expected results:
Graphical installation starts.

Additional info:
Graphical installation works with Fedora Core 4.
Comment 1 Mike A. Harris 2006-02-27 14:57:19 EST
Probably best to report this to X.Org bugzilla at http://bugs.freedesktop.org
too, as it is mobile Radeon, and a quick poll internally yeilds no hardware
to try to reproduce on.  If you do, please paste the URL here so we can keep
track of the upstream report also.

To troubleshoot, try doing a text mode installation, and then configuring
X afterward.  Then try to startx in runlevel 3, and assuming it fails, please
attach the X server log and config file to the report for review.  (Also attach
to the fd.o bug report if you file one).

TIA
Comment 2 Markku Korkeala 2006-02-27 15:15:39 EST
I tried also to install in text mode, but couldn't because of bug #182706
(Display during text based install mangled). I'll try to report this bug soon
to X.org's bugzilla.
Comment 3 Mike A. Harris 2006-06-14 13:17:32 EDT
Closing as INSUFFICIENT_DATA.  If an X.Org bug report has been filed for
the issue however, if you update the report with the URL, we'd be happy
to add it to our UPSTREAM tracker, and review any fixes which become
available for consideration in future updates.




Note You need to log in before you can comment on or make changes to this bug.